@import url("styles/furo.css");

.wy-side-nav-search>a img.logo,
.wy-side-nav-search .wy-dropdown>a img.logo {
  width: 12rem
}

.wy-side-nav-search {
  background-color: #eee;
}

.wy-side-nav-search>div.version {
  display: inline;
  color: rgb(23, 84, 159);
}

.wy-nav-top {
  background-color: #555;
}

table.colwidths-given {
    table-layout: fixed;
    width: 100%;
}
table.docutils td {
    white-space: unset;
    word-wrap: break-word;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

td.name {
    font-weight: 500;
}

body div tr:nth-child(even),
body div.rendered_html tbody tr:nth-child(even) {
  background-color: var(--color-background-table-rows-even);
  color: var(--color-text-table-rows-even);
}

body div tr:nth-child(odd),
body div.rendered_html tbody tr:nth-child(odd) {
  background-color: var(--color-background-table-rows-odd);
  color: var(--color-text-table-rows-odd);
}

dd {
  margin: 0 0 0 2em;
  padding-bottom: 0.5em;
}

dt var {
    font-family: Monospace;
    font-style: normal;
}

.xr-attrs dt {
  display: inline !important;
}

ul.simple li {
 list-style: circle;
}

/*this selects the contents section, the first table of contents and the list item*/
/*underneath it. Then it removes the spacing to make it look whole. If you have more*/
/*items, you can consider using :not(:last-of-type) selector.*/
#contents .toctree-wrapper:first-of-type ul {
    margin-bottom: 0;
}

#queryInput {
  width: 100%;
  padding: 10px;
  margin: 5px;
}

.indElem {
 margin: 10px;
 padding: 10px;
 background-color: var(--color-indicator-background);
 color: var(--color-indicator-text);
 border-radius: 10px;
}

.indName {
  float: right;
}

code > .indName {
  background-color: var(--color-indicator-background);
  color: var(--color-indicator-text);
}

.indVarname {
  border-radius: 10px;
  background-color: var(--color-indicator-widget-background);
  color: var(--color-indicator-widget-text);
  border: solid 1px var(--color-indicator-widget-text);
  margin-right: 3px;
  margin-bottom: 3px;
  line-height: 24px;
  cursor: help;
}

/* Rounded corners for keyword labels: */
.keywordlabel {
    border-radius: 10px;
    padding: 5px;
    margin: 5px;
    background-color: var(--color-indicator-widget-background);
    color: var(--color-indicator-widget-text);
    border: solid 1px var(--color-indicator-widget-text);
    line-height: 24px;

}

#incVirtModLbl {
    display: inline;
}

/* extend furo for inline ".only-dark" elements */
body .only-dark-inline,
body .only-light-inline {
  display: none !important;
}

@media not print {
  body[data-theme="dark"] .only-dark-inline,
  body[data-theme="light"] .only-light-inline {
    display: inline !important;
  }
  @media (prefers-color-scheme: dark) {
    body:not([data-theme="light"]) .only-dark-inline{
      display: inline !important;
    }
  }
  @media (prefers-color-scheme: light) {
    body:not([data-theme="dark"]) .only-light-inline{
      display: inline !important;
    }
  }
}

@media print {
  .only-light-inline{
    display: inline !important;
  }
  .only-dark-inline{
    display: none !important;
  }
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

img.ouranos-logo.only-dark {
    width: 300px;
    height: 150px;
    padding: 0;
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;
    border-image-width: 0px;
    background-image: url(https://raw.githubusercontent.com/Ouranosinc/.github/refs/heads/main/images/logo-ouranos-vertical-blanc.svg);
}

img.ouranos-logo.only-light {
    width: 300px;
    height: 150px;
    padding: 0;
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;
    border-image-width: 0px;
    background-image: url(https://raw.githubusercontent.com/Ouranosinc/.github/refs/heads/main/images/logo-ouranos-vertical-couleur.svg);
}

img.ouranos-logo.no-theme {
    display: none;
    width: 0px;
}

img.xsdba-logo-small.only-dark-inline {
    width: 91px;
    height: 103px;
    margin: 0;
    padding: 0;
    background-color: transparent;
    background-repeat: no-repeat;
    border-image-width: 0px;
    border: none;
    border-image-width: 0px;
    background-image: url("xsdba-logo-small-dark.png");
}

img.xsdba-logo-small.only-light-inline {
    width: 91px;
    height: 103px;
    margin: 0;
    padding: 0;
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;
    border-image-width: 0px;
    background-image: url("xsdba-logo-small-light.png");
}

img.xsdba-logo-small.no-theme {
  display: none;
  width: 0px;
}

button.copybtn.copybtn svg {
  stroke: var(--color-copybutton);
}
